Bug 1906297 - cjdns: FTBFS in Fedora rawhide
Summary: cjdns: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cjdns
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stuart D Gathman
QA Contact: Fedora Extras Quality Assurance
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F34FTBFS PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2020-12-10 07:41 UTC by Tomáš Hrnčiar
Modified: 2021-01-02 00:34 UTC (History)
1 user (show)

Fixed In Version: cjdns-21.1-2.fc32 cjdns-21.1-2.fc33 cjdns-21.1-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-17 00:34:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2020-12-10 07:41:13 UTC
Description of problem:
Package cjdns fails to build from source in Fedora rawhide.

Version-Release number of selected component (if applicable):
21-3.fc34

Steps to Reproduce:
koji build --scratch f34 cjdns-21-3.fc34.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/cjdns

Total build time: 45403ms.
/builddir/build/BUILD/cjdns-cjdns-v21/node_build/builder.js:503
            if (err) { throw err; }
                       ^

Error: gcc -c -x cpp-output -o build_linux/tunnel_IpTunnel_c.o -std=c99 -Wall -Wextra -Werror -Wno-pointer-sign -Wmissing-prototypes -pedantic -D linux=1 -D CJD_PACKAGE_VERSION="cjdns-21-3.fc34" -Wno-unused-parameter -fomit-frame-pointer -D Log_DEBUG -g -D NumberCompress_TYPE=v3x5x8 -D Identity_CHECK=1 -D Allocator_USE_CANARIES=1 -D PARANOIA=1 -mtune=generic -DHAS_ETH_INTERFACE=1 -fPIE -fdiagnostics-color=always -O3 -D_FORTIFY_SOURCE=2 -fno-stack-protector -fstack-protector-all -Wstack-protector build_linux/tunnel_IpTunnel_c.o.i

In function '[01m[KfindConnection[m[K',
    inlined from '[01m[KincomingFromTun[m[K' at [01m[Ktunnel/IpTunnel.c:708:16[m[K:
[01m[Ktunnel/IpTunnel.c:685:33:[m[K [01;31m[Kerror: [m[K'[01m[KisValidAddress6[m[K' accessing 32 bytes in a region of size 16 [[01;31m[K-Werror=stringop-overflow=[m[K]
  685 |         if (sourceAndDestIp6 && [01;31m[KisValidAddress6(sourceAndDestIp6, isFromTun, conn)[m[K) {
      |                                 [01;31m[K^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~[m[K
[01m[Ktunnel/IpTunnel.c:[m[K In function '[01m[KincomingFromTun[m[K':
[01m[Ktunnel/IpTunnel.c:685:33:[m[K [01;36m[Knote: [m[Kreferencing argument 1 of type '[01m[Kuint8_t *[m[K' {aka '[01m[Kunsigned char *[m[K'}
[01m[Ktunnel/IpTunnel.c:664:12:[m[K [01;36m[Knote: [m[Kin a call to function '[01m[KisValidAddress6[m[K'
  664 | static bool[01;36m[K isValidAddress[m[K6(uint8_t sourceAndDestIp6[32],
      |            [01;36m[K^~~~~~~~~~~~~~~[m[K
In function '[01m[Kip6FromNode[m[K',
    inlined from '[01m[KincomingFromNode[m[K' at [01m[Ktunnel/IpTunnel.c:795:16[m[K:
[01m[Ktunnel/IpTunnel.c:737:10:[m[K [01;31m[Kerror: [m[K'[01m[KisValidAddress6[m[K' accessing 32 bytes in a region of size 16 [[01;31m[K-Werror=stringop-overflow=[m[K]
  737 |     if (!isValidAddress6(header->sourceAddr, false, conn)) {
[01m[Ktunnel/IpTunnel.c:[m[K In function '[01m[KincomingFromNode[m[K':
[01m[Ktunnel/IpTunnel.c:737:10:[m[K [01;36m[Knote: [m[Kreferencing argument 1 of type '[01m[Kuint8_t *[m[K' {aka '[01m[Kunsigned char *[m[K'}
[01m[Ktunnel/IpTunnel.c:664:12:[m[K [01;36m[Knote: [m[Kin a call to function '[01m[KisValidAddress6[m[K'
  664 | static bool[01;36m[K isValidAddress[m[K6(uint8_t sourceAndDestIp6[32],
      |            [01;36m[K^~~~~~~~~~~~~~~[m[K
cc1: all warnings being treated as errors

    at error (/builddir/build/BUILD/cjdns-cjdns-v21/node_build/builder.js:53:15)
    at /builddir/build/BUILD/cjdns-cjdns-v21/node_build/builder.js:125:22
    at /builddir/build/BUILD/cjdns-cjdns-v21/node_build/builder.js:95:13
    at ChildProcess.<anonymous> (/builddir/build/BUILD/cjdns-cjdns-v21/tools/lib/Semaphore.js:7:30)
    at ChildProcess.emit (events.js:315:20)
    at maybeClose (internal/child_process.js:1048:16)
    at Process.ChildProcess._handle.onexit (internal/child_process.js:288:5)
error: Bad exit status from /var/tmp/rpm-tmp.9QXUbw (%build)

Comment 1 Fedora Update System 2020-12-17 00:38:36 UTC
FEDORA-EPEL-2020-0097dda88b has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-0097dda88b

Comment 2 Fedora Update System 2020-12-17 00:38:38 UTC
FEDORA-2020-47b2b396ea has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-47b2b396ea

Comment 3 Fedora Update System 2020-12-18 01:14:04 UTC
FEDORA-2020-47b2b396ea has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-47b2b396ea`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-47b2b396ea

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2020-12-18 01:26:32 UTC
FEDORA-2020-9b229e55c4 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-9b229e55c4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9b229e55c4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-12-18 01:41:19 UTC
FEDORA-EPEL-2020-0097dda88b has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-0097dda88b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-12-26 01:18:48 UTC
FEDORA-2020-9b229e55c4 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-12-26 01:36:35 UTC
FEDORA-2020-47b2b396ea has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-01-02 00:34:55 UTC
FEDORA-EPEL-2020-0097dda88b has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.